#include <hmg.ch>
#include "hmg_hpdf.ch"

Function Main

	Private aColor [10]

	aColor [1] := YELLOW	
	aColor [2] := PINK	
	aColor [3] := RED	
	aColor [4] := FUCHSIA	
	aColor [5] := BROWN	
	aColor [6] := ORANGE	
	aColor [7] := GREEN	
	aColor [8] := PURPLE	
	aColor [9] := BLACK	
	aColor [10] := BLUE
   
   define window main at 0, 0 width 300 height 300 main title 'HMG HPDF Sample'
      define button print
         row 100
         col 100
         caption 'Print'
         action PrntToPdf()
      end button
   end window
   main.center
   main.activate

Return

*------------------------------------------------------------------------------*

PROCEDURE PrntToPdf()

   LOCAL nPageNo 

   SELECT HPDFDOC 'sample.pdf' TO lSuccess papersize HPDF_PAPER_A4
   
   IF lSuccess
   
      START HPDFDOC
      
   		FOR nPageNo := 1 TO 10
         
            START HPDFPAGE

               @ 20,20 HPDFPRINT RECTANGLE ;
                  TO 50,190 ;
                  PENWIDTH 0.1
                  
               @ 25,25 HPDFPRINT IMAGE "hmg.png" ;
                  WIDTH 120 ;
                  HEIGHT 120 

               @ 30,85 HPDFPRINT "HPDFPRINT DEMO" ;
                  FONT "Courier New" ;
                  SIZE 24 // ;                  COLOR aColor[ nPageNo ]
               
               @ 140,60 HPDFPRINT "Page Number :" + Str( nPageNo, 2 ) ;
                  FONT "Arial" ;
                  SIZE 20 // ; COLOR aColor [nPageNo]
               
               @ 260,20 HPDFPRINT LINE ;
                  TO 260,190 ;
                  PENWIDTH 0.1
               
			   END HPDFPAGE

         NEXT nPageNo

	   END HPDFDOC

      EXECUTE FILE 'sample.pdf'      
      
   ELSE
   
      MsgStop( "Couldn't SELECT HPDFDOC", "ERROR !" )
      
   ENDIF lSuccess
   
RETURN 

